> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Template

> Permanently delete a workflow template.



## OpenAPI

````yaml /api-rest/openapi/openapi_workflows.json delete /v1/workflow/templates/{template_id}
openapi: 3.1.0
info:
  description: HTTP API for Bigdata Research Agent and Deep-Research capabilities
  title: Bigdata Research Agent API
  version: 1.0.0
servers:
  - description: Production server
    url: https://agents.bigdata.com
security: []
paths:
  /v1/workflow/templates/{template_id}:
    delete:
      tags:
        - Workflow Templates
      summary: Delete Template
      description: Permanently delete a workflow template.
      operationId: delete_template_v1_workflow_templates__template_id__delete
      parameters:
        - in: path
          name: template_id
          required: true
          schema:
            title: Template Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - API Key Authentication: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    API Key Authentication:
      description: API key for authentication.
      in: header
      name: X-API-Key
      type: apiKey

````